<nav id="sidebar-icon-links">
  {% comment %}
    Check if we have tag or search pages page active before linking to it.
  {% endcomment %}
  {% assign tags_page = false %}
  {% assign search_page = false %}
  {% for node in site.pages %}
    {% if node.layout == "tags" %}
      {% assign tags_page = node %}
    {% elsif node.layout == "search" %}
      {% assign search_page = node %}
    {% endif %}
  {% endfor %}

  {% if tags_page %}
    <a id="tags-link"
       class="icon{% if page.url == '/tags' %} active{% endif %}"
       title="Tags" aria-label="Tags"
       href="{{ tags_page.url | relative_url }}">
      {% include svg/tags.svg %}
    </a>
  {% endif %}

  {% if search_page %}
    <a id="search-link"
       class="icon{% if page.url == '/search' %} active{% endif %}"
       title="Search" aria-label="Search"
       href="{{ search_page.url | relative_url }}">
      {% include svg/search.svg %}
    </a>
  {% endif %}

  {% include custom-icon-links.html %}
</nav>
